
QGIS Application - Bug report #16610

Composer: Item Properties: expanded items resetting

2017-05-24 11:02 AM - Night yb

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: Yes

Operating System: Win8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24510

Description

The Item Properties panel resets to the default configuration of expanded/collapsed property groups when  selecting items.  This is not the

case in 2.18, which restores the previous state as expected.

Steps to reproduce:

    1. -> New project

    2. -> New print composer

    3. add two rectangle shapes

    4. select the first rectangle

    5. expand the Position and size property subgroup in the Item Properties panel

    6. select the second rectangle

    7. select the first rectangle

    8. Position and size is now collapsed

QGIS version:  2.99.0-Master d55fa22

History

#1 - 2017-05-24 01:48 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2017-12-18 11:54 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in layouts engine
